org.kie.internal.runtime.manager.audit.query

## Enum AuditLogQueryBuilder.OrderBy

- java.lang.Object
- - java.lang.Enum<AuditLogQueryBuilder.OrderBy>
  - - org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder.OrderBy

- All Implemented Interfaces:
    Serializable, Comparable<AuditLogQueryBuilder.OrderBy>
  Enclosing interface:
    AuditLogQueryBuilder<T,R>

      public static enum AuditLogQueryBuilder.OrderBy
      extends Enum<AuditLogQueryBuilder.OrderBy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `processId`
    `processInstanceId`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuditLogQueryBuilder.OrderBy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuditLogQueryBuilder.OrderBy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### processInstanceId

          public static final AuditLogQueryBuilder.OrderBy processInstanceId

    - #### processId

          public static final AuditLogQueryBuilder.OrderBy processId

  - ### Method Detail

    - #### values

          public static AuditLogQueryBuilder.OrderBy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuditLogQueryBuilder.OrderBy c : AuditLogQueryBuilder.OrderBy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuditLogQueryBuilder.OrderBy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.